summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0e5cb77
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME=mate-screensaver
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/autogen.sh \
+ && test -d $srcdir/src \
+ && test -f $srcdir/src/mate-screensaver.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE CVS"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9 MATE_DATADIR="$mate_datadir" . mate-autogen.sh